org.apache.solr.schema

## Class JsonPreAnalyzedParser

- java.lang.Object
- - org.apache.solr.schema.JsonPreAnalyzedParser

- All Implemented Interfaces:
    PreAnalyzedField.PreAnalyzedParser

      public class JsonPreAnalyzedParser
      extends Object
      implements PreAnalyzedField.PreAnalyzedParser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BINARY_KEY`
    `static String` | `FLAGS_KEY`
    `static String` | `OFFSET_END_KEY`
    `static String` | `OFFSET_START_KEY`
    `static String` | `PAYLOAD_KEY`
    `static String` | `POSINCR_KEY`
    `static String` | `STRING_KEY`
    `static String` | `TOKEN_KEY`
    `static String` | `TOKENS_KEY`
    `static String` | `TYPE_KEY`
    `static String` | `VERSION`
    `static String` | `VERSION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonPreAnalyzedParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PreAnalyzedField.ParseResult` | `parse(Reader reader, AttributeSource parent)` Parse input.
    `String` | `toFormattedString(Field f)` Format a field so that the resulting String is valid for parsing with `PreAnalyzedField.PreAnalyzedParser.parse(Reader, AttributeSource)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### VERSION_KEY

          public static final String VERSION_KEY

      See Also:
        Constant Field Values

    - #### STRING_KEY

          public static final String STRING_KEY

      See Also:
        Constant Field Values

    - #### BINARY_KEY

          public static final String BINARY_KEY

      See Also:
        Constant Field Values

    - #### TOKENS_KEY

          public static final String TOKENS_KEY

      See Also:
        Constant Field Values

    - #### TOKEN_KEY

          public static final String TOKEN_KEY

      See Also:
        Constant Field Values

    - #### OFFSET_START_KEY

          public static final String OFFSET_START_KEY

      See Also:
        Constant Field Values

    - #### OFFSET_END_KEY

          public static final String OFFSET_END_KEY

      See Also:
        Constant Field Values

    - #### POSINCR_KEY

          public static final String POSINCR_KEY

      See Also:
        Constant Field Values

    - #### PAYLOAD_KEY

          public static final String PAYLOAD_KEY

      See Also:
        Constant Field Values

    - #### TYPE_KEY

          public static final String TYPE_KEY

      See Also:
        Constant Field Values

    - #### FLAGS_KEY

          public static final String FLAGS_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JsonPreAnalyzedParser

          public JsonPreAnalyzedParser()

  - ### Method Detail

    - #### parse

          public PreAnalyzedField.ParseResult parse(Reader reader,
                                                    AttributeSource parent)
                                             throws IOException

      Description copied from interface: `PreAnalyzedField.PreAnalyzedParser`
      Parse input.
      Specified by:
        `parse` in interface `PreAnalyzedField.PreAnalyzedParser`
      Parameters:
        `reader` - input to read from
        `parent` - parent who will own the resulting states (tokens with attributes)
      Returns:
        parse result, with possibly null stored and/or states fields.
      Throws:
        `IOException` - if a parsing error or IO error occurs

    - #### toFormattedString

          public String toFormattedString(Field f)
                                   throws IOException

      Description copied from interface: `PreAnalyzedField.PreAnalyzedParser`
      Format a field so that the resulting String is valid for parsing with `PreAnalyzedField.PreAnalyzedParser.parse(Reader, AttributeSource)`.
      Specified by:
        `toFormattedString` in interface `PreAnalyzedField.PreAnalyzedParser`
      Parameters:
        `f` - field instance
      Returns:
        formatted string
      Throws:
        `IOException` - If there is a low-level I/O error.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.